.\"
.\" %nmhwarning%
.\"
.TH MH-DRAFT %manext5% "%nmhdate%" MH.6.8 [%nmhversion%]
.SH NAME
mh-draft \- draft folder facility for nmh message system
.SH SYNOPSIS
any
.B nmh
command
.SH DESCRIPTION
There are a number of interesting advanced facilities for the composition of
outgoing mail.
.PP
.SS "The Draft Folder"
The
.BR comp ,
.BR dist ,
.BR forw ,
and
.B repl
commands allow you to manipulate various draft messages simultanely
.PP
Draft messages are created in the draft folder.
(The
.RI \*(lq Draft\-Folder \*(rq
profile entry may be used to change the default draft folder.
.PP
New drafts are created unless the user invokes
.B comp
with
.BR \-use ,
in which case the current draft is used.
.PP
The last draft message
the user was composing is known as `cur' in the draft folder.
.PP
The user can send off whatever drafts desired from the shell using the
standard
.B nmh
`msgs' convention to the
.B send
command..
If no `msgs' are given, it defaults to `cur'.
.PP
.RS
.nf
send first
.fi
.RE
.PP
To make all this a bit more clear, here are some examples.  Let's assume
that the following entries are in the
.B nmh
profile:
.PP
.RS 5
.nf
Draft\-Folder: +drafts
.fi
.RE
.PP
Any of the commands
.PP
.RS 5
.nf
comp
dist
forw
repl
.fi
.RE
.PP
constructs the message draft in the draft folder using the `new'
message number.  Furthermore, they each define `cur' in this folder to
be that message draft.  If the user were to use the
.B quit
option at `What now?' level, then later on, if no other draft composition
was done, the draft could be sent with simply
.PP
.RS 5
.nf
send
.fi
.RE
.PP
Or, if more editing was required, the draft could be edited with
.PP
.RS 5
.nf
comp -use
.fi
.RE
.PP
Instead, if other drafts had been composed in the meantime, so that this
message draft was no longer known as `cur' in the `draft' folder, then
the user could
.B scan
the folder to see which message draft in the
folder should be used for editing or sending.  Clever users could even
employ a back-quoted
.B pick
to do the work:
.PP
.RS 5
.nf
comp -use `pick +drafts -to nmh-workers`
.fi
.RE
.PP
or
.PP
.RS 5
.nf
send `pick +drafts -to nmh-workers`
.fi
.RE
.PP
Note that in the
.B comp
example, the output from
.B pick
must resolve to a single message draft (it makes no sense to talk about
composing two or more drafts with one invocation of
.BR comp ).
In contrast, in the
.B send
example, as many message drafts as desired can appear, since
.B send
doesn't mind sending more than one draft at a time.
.PP
It is important to realize that
.B nmh
treats the draft folder like a standard
.B nmh
folder in nearly all respects.  There is one exception:
Although conceptually
.B send
deletes the `msgs' named in the draft folder, it does not call
.I delete\-prog
to perform the deletion.
.SH CONTEXT
None
